Bug 2120360 - /usr/bin/meld is not executable
Summary: /usr/bin/meld is not executable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-22 17:01 UTC by Lyes Saadi
Modified: 2022-09-15 02:34 UTC (History)
9 users (show)

Fixed In Version: meld-3.22.0-1.fc37 meld-3.22.0-1.fc35 meld-3.22.0-1.fc36 meld-3.22.0-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-14 00:19:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Lyes Saadi 2022-08-22 17:01:24 UTC
Description of problem:
When installing meld, /usr/bin/meld was not executable.

Version-Release number of selected component (if applicable):
3.21.3-1.fc38

How reproducible:
Always

Steps to Reproduce:
1. sudo dnf install meld
2. bash: /usr/bin/meld: Permission denied

Actual results:
/usr/bin/meld is not executable. Meld cannot be launched from overview, command line, or git mergetool.

Expected results:
/usr/bin/meld is executable.

Comment 1 Cristian Ciupitu 2022-08-25 10:42:37 UTC
meld-3.21.3-1.fc36.noarch has the same problem

Comment 2 Ian Laurie 2022-08-26 04:24:20 UTC
meld-3.21.3-1.fc37.noarch has the same problem in the beta branch.  

Easily fixed with "sudo chmod +x /usr/bin/meld".

Comment 3 Fedora Update System 2022-09-06 10:10:13 UTC
FEDORA-2022-668c13f879 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

Comment 4 Fedora Update System 2022-09-06 10:10:24 UTC
FEDORA-EPEL-2022-5eac9c0230 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

Comment 5 Fedora Update System 2022-09-06 10:10:35 UTC
FEDORA-2022-33c8da6f15 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

Comment 6 Fedora Update System 2022-09-06 10:10:45 UTC
FEDORA-2022-63a2629ee0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

Comment 7 Fedora Update System 2022-09-06 20:30:01 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-33c8da6f15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-33c8da6f15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-07 10:05:08 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-668c13f879`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-668c13f879

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-07 10:50:18 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-63a2629ee0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-63a2629ee0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-07 11:11:43 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-5eac9c0230

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-09-14 00:19:32 UTC
FEDORA-2022-33c8da6f15 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-09-15 01:28:40 UTC
FEDORA-2022-668c13f879 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-09-15 01:53:35 UTC
FEDORA-2022-63a2629ee0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-09-15 02:34:33 UTC
FEDORA-EPEL-2022-5eac9c0230 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.